<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../.resources/report.css" type="text/css"/><link rel="shortcut icon" href="../.resources/report.gif" type="image/gif"/><title>Piece.java</title><link rel="stylesheet" href="../.resources/prettify.css" type="text/css"/><script type="text/javascript" src="../.resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../.sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">JaCoCoverage analysis of project &quot;ATL-OTHELLO-Monir&quot; (powered by JaCoCo from EclEmma)</a> &gt; <a href="index.source.html" class="el_package">esi.atl.othello.monir.model</a> &gt; <span class="el_source">Piece.java</span></div><h1>Piece.java</h1><pre class="source lang-java linenums">package esi.atl.othello.monir.model;

/**
 * This class represents the pawn.
 *
 * @author Monir Nasser
 */
public class Piece {

    private PlayerColor color;
    private int value;

    /**
     * This method construct the Pawn.
     *
     * @param color The color of the piece.
     * @param value The value of the piece.
     */
<span class="fc" id="L19">    public Piece(PlayerColor color, int value) {</span>
<span class="fc bfc" id="L20" title="All 2 branches covered.">        if (color == null) {</span>
<span class="fc" id="L21">            throw new IllegalArgumentException(&quot;The coolor is null&quot;);</span>
        }
<span class="fc bfc" id="L23" title="All 4 branches covered.">        if (value &lt; 0 || value &gt; 3) {</span>
<span class="fc" id="L24">            throw new IllegalArgumentException(&quot;The value is not accepted&quot;);</span>
        }
<span class="fc" id="L26">        this.color = color;</span>
<span class="fc" id="L27">        this.value = value;</span>
<span class="fc" id="L28">    }</span>

    /**
     * This method changes the color of the piece.
     */
    public void swapColor() {
<span class="fc bfc" id="L34" title="All 2 branches covered.">        if (this.color == PlayerColor.BLACK) {</span>
<span class="fc" id="L35">            this.color = PlayerColor.WHITE;</span>
        } else {
<span class="fc" id="L37">            this.color = PlayerColor.BLACK;</span>
        }
<span class="fc" id="L39">    }</span>

    /**
     * This methods allows us to get the color of the pawn.
     *
     * @return The color.
     */
    public PlayerColor getColor() {
<span class="fc" id="L47">        return color;</span>
    }

    /**
     * This method allows us to get the value.
     *
     * @return A Value.
     */
    public int getValue() {
<span class="fc" id="L56">        return value;</span>
    }

    @Override
    public int hashCode() {
<span class="nc" id="L61">        int hash = 5;</span>
<span class="nc" id="L62">        return hash;</span>
    }

    @Override
    public boolean equals(Object obj) {
<span class="fc bfc" id="L67" title="All 2 branches covered.">        if (this == obj) {</span>
<span class="fc" id="L68">            return true;</span>
        }
<span class="fc bfc" id="L70" title="All 2 branches covered.">        if (obj == null) {</span>
<span class="fc" id="L71">            return false;</span>
        }
<span class="pc bpc" id="L73" title="1 of 2 branches missed.">        if (getClass() != obj.getClass()) {</span>
<span class="nc" id="L74">            return false;</span>
        }
<span class="fc" id="L76">        final Piece other = (Piece) obj;</span>
<span class="fc bfc" id="L77" title="All 2 branches covered.">        if (this.value != other.value) {</span>
<span class="fc" id="L78">            return false;</span>
        }
<span class="pc bpc" id="L80" title="1 of 2 branches missed.">        if (this.color != other.color) {</span>
<span class="nc" id="L81">            return false;</span>
        }
<span class="fc" id="L83">        return true;</span>
    }
    
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.eclemma.org/jacoco">JaCoCo</a> 0.7.6.201602180812</span></div></body></html>